#include "ObjMesh.h"

#define ALIVE 0
#define HIT 1
#define PATROL 2

struct sFighter
{
       sVector pos;
       sVector rotation;
       sVector direction;
       int state;
};

class CFighter
{
      
private:
      CObjMesh model;
      CLinkedList fighterList;
      bool shouldFire;
      bool generate;
      
public:
      
      void reset();
      void update();
      void Render();
      void addFighter(sVector pos);
      void setFire(bool shouldFire);
      void setGenerate(bool generate);
      
      CFighter();
      ~CFighter();
};
